package com.bank;

public class AccountService
{
    private AccountDao _accountDao;

    public Account getAccount(int id)
    {
        return _accountDao.getAccount(id);
    }

    public void setAccountDao(AccountDao accountDao)
    {
        _accountDao = accountDao;
    }

    public void transferFund(int fromAccountId, int toAccountId, int amount)
    {
        Account fromAccount = _accountDao.getAccount(fromAccountId);
        Account toAccount = _accountDao.getAccount(toAccountId);

        fromAccount.withdraw(amount);
        toAccount.deposit(amount);

        _accountDao.save(toAccount);
        _accountDao.save(fromAccount);
    }
}
