package com.bank;

import org.springframework.test.AbstractDependencyInjectionSpringContextTests;

public class AccountServiceTestIntegrated extends AbstractDependencyInjectionSpringContextTests
{
    private AccountService _accountService;

    public void setAccountService(AccountService accountService)
    {
        _accountService = accountService;
    }

    protected String[] getConfigLocations()
    {
        return new String[] {"applicationcontext.xml"};
    }

    // Oh, no! duplicated test code.
    // Yep, please don't tell anyone. If you keep it quite, we'll come back and refactor this later.
    public void testGetAccount()
    {
        Account account = _accountService.getAccount(1);
        assertEquals(1, account.getId());
        assertEquals(5000, account.getBalance());
    }
}
